<?php
/* 
* $Date: 2006/01/11 19:45:26 $ 
* $Revision: 1.4 $ 
*/ 

if (eregi("index.php",$_SERVER['PHP_SELF'])) {
    die("You can't access this file directly!");
}

$header_title = $wordings[$roster_conf['roster_lang']]['menustats'];

// check for phpRaid installation
if(!is_dir($phpraid_dir)) {
	echo 'Your phpRaid installation could not be found! Please check that $phpraid_dir is set properly in conf.php';
	exit;
}

echo 'WoW Roster -> phpRaid Guild/Character Synchronization<br>';

if(!isset($_POST['submit']))
{
	echo '<form action="addon.php?roster_addon_name=phpRaid" method="POST">';
	echo '<br><br>Roster Update PW: <input type="password" name="password"> <input type="submit" name="submit" value="Submit">';
	echo '</form>';
}
else
{
	// check password
	if(md5($_POST['password']) == $roster_conf['roster_upd_pw'])
		{
		// connect to DB
		include($phpraid_dir . '/db/mysql.php');
		
		$db_phpraid = &new sql_db($phpraid_host,$phpraid_user,$phpraid_pass,$phpraid_name);
		
		if(!$db_phpraid->db_connect_id) 
		{
			echo 'Failed to connect to your phpRaid database. Verify the settings in conf.php';
			exit;
		}
		
		// now the fun stuff
		// check phpRaid characters 
		// after we have them, let's check the phpRoster list
		// and update the data, yippy!
		
		// guilds first
		$sql = "SELECT * FROM " . $db_prefix . "guild";

		if ($roster_conf['sqldebug']) {
			echo "\n<!-- $sql -->\n";
		}

		$result = $wowdb->query($sql) or die($wowdb->error());
		
		echo 'Attempting to synchronize guilds...<br>';
		while($roster_guilds = $wowdb->fetch_array($result))
		{
			$guild_name = $roster_guilds['guild_name'];
			$guild_tag = substr($guild_name, 0, 3);
			
			$sql = "SELECT * FROM " . $phpraid_prefix . "guilds WHERE guild_name='$guild_name'";
			
			if ($roster_conf['sqldebug']) {
				echo "\n<!-- $sql -->\n";
			}

			$result_guilds_number = $db_phpraid->sql_query($sql);
		
			if($db_phpraid->sql_numrows($result_guilds_number) == 0)
			{
				$sql = "INSERT INTO " . $phpraid_prefix . "guilds VALUES('0','None','$guild_name','$guild_tag')";

				if ($roster_conf['sqldebug']) {
					echo "\n<!-- $sql -->\n";
				}

				$db_phpraid->sql_query($sql) or die(mysql_error());
			}
		}
		echo 'Guild synchronization complete...<br>';
		
		// now check for characters
		$sql = "SELECT * FROM " . $phpraid_prefix . "chars";
		
		if ($roster_conf['sqldebug']) {
			echo "\n<!-- $sql -->\n";
		}

		$result = $db_phpraid->sql_query($sql) or die(mysql_error());
		
		echo 'Attempting to synchronize characters...<br>';
		while($phpraid_chars = $db_phpraid->sql_fetchrow($result))
		{
			// check roster DB for same name
			$sql = "SELECT * FROM ".$db_prefix."players WHERE name='" . $phpraid_chars['name'] . "'";

			if ($roster_conf['sqldebug']) {
				echo "\n<!-- $sql -->\n";
			}

			$result_char = $wowdb->query($sql);
		
			if($wowdb->num_rows($result_char) > 0)
			{
				// found a player name match
				// update the phpraid settings with this user
				$char = $wowdb->fetch_array($result_char);
				
				$name = $char['name'];
				$class = $char['class'];
				$gender = $char['sex'];
				$race = $char['race'];
				$level = $char['level'];
				$arcane = $char['max_res_arc'];
				$fire = $char['max_res_fire'];
				$frost = $char['max_res_fro'];
				$nature = $char['max_res_nat'];
				$shadow = $char['max_res_shad'];
				
				$sql = "UPDATE " . $phpraid_prefix . "chars ";
				$sql .= "SET class='$class',gender='$gender',race='$race',lvl='$level',arcane='$arcane'";
				$sql .= ",fire='$fire',frost='$frost',nature='$nature',shadow='$shadow'	WHERE name='$name'";

				if ($roster_conf['sqldebug']) {
                                        echo "\n<!-- $sql -->\n";
                                }

				$db_phpraid->sql_query($sql) or die(mysql_error());
			}
		}
		
		echo 'Character synchronization complete...<br>';
		echo 'Data synchronization complete! phpRaid characters and guilds are now synchronized with WoW Roster';
		
		// close database connections
		//$db_phpraid->sql_close();
		//$db_roster->sql_close();
	}
	else
	{
		echo 'Invalid password specified.';
		exit;
	}
}
?>
